=== debian/control ===
Source: cblues-grub-theme
Section: graphics
Priority: optional
Maintainer: Alf Gaida <agaida@siduction.org>
Build-Depends: debhelper (>= 11),
               inkscape,
               grub-common
Standards-Version: 4.1.4
Vcs-Git: https://git.siduction.org/extra/grub-theme
Vcs-Browser: https://git.siduction.org/extra/grub-theme


Package: cblues-grub-theme
Architecture: all
Depends: ${misc:Depends},
Description: grub-theme for cblues
 mostly copy from grub-sources

Package: cblues-live-grub-theme
Architecture: all
Depends: ${misc:Depends},
         cblues-grub-theme
Description: live grub-theme for cblues
 mostly copy from grub-sources (live)
